linux-keystone: 3.13.0-20.33 -proposed tracker

Bug #1402951 reported by Brad Figg on 2014-12-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Registry Administrators
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Medium
Ike Panhc
linux-keystone (Ubuntu)
Medium
Unassigned
Trusty
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.13.0-20.33 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 16. December 2014 07:04 UTC
kernel-stable-master-bug:1402872
kernel-stable-Certification-testing-end:Tuesday, 16. December 2014 09:01 UTC
kernel-stable-Security-signoff-end:Tuesday, 16. December 2014 09:01 UTC
kernel-stable-Prepare-package-end:Tuesday, 16. December 2014 13:02 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 16. December 2014 13:02 UTC
ppa-package-testing-start:Tuesday, 16. December 2014 13:02 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 16. December 2014 21:58 UTC
kernel-stable-Verification-testing-start:Tuesday, 16. December 2014 23:02 UTC
kernel-stable-Regression-testing-start:Tuesday, 16. December 2014 23:02 UTC
kernel-stable-Regression-testing-end:Friday, 19. December 2014 08:01 UTC
kernel-stable-Promote-to-updates-start:Friday, 09. January 2015 16:19 UTC
kernel-stable-Promote-to-updates-end:Monday, 12. January 2015 17:51 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 12. January 2015 19:03 UTC

This tracking bug was opened to be worked from linux-3.13.0-44.73 update (bug 1402872)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu):
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu Trusty):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2014-12-16
summary: - linux-keystone: <version to be filled> -proposed tracker
+ linux-keystone: 3.13.0-20.33 -proposed tracker
description: updated
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux-keystone (Ubuntu):
status: New → Invalid
Ike Panhc (ikepanhc) on 2014-12-16
Changed in linux-keystone (Ubuntu Trusty):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Brad Figg (brad-figg) on 2014-12-16
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux-keystone | 3.13.0-20.33 | trusty-proposed | source
 linux-meta-keystone | 3.13.0.20.18 | trusty-proposed | source

Brad Figg (brad-figg) on 2014-12-16
description: updated
Brad Figg (brad-figg) on 2014-12-16
description: updated
Ike Panhc (ikepanhc) wrote :

With HOTPLUG_CPU disabled, the offline/online nodes in /sys/devices/system/cpu/cpu?/ is gone

Ike Panhc (ikepanhc) wrote :

Smoke test on basic function is passed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-12-19
description: updated
Brad Figg (brad-figg) on 2015-01-09
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (10.9 KiB)

This bug was fixed in the package linux-keystone - 3.13.0-20.33

---------------
linux-keystone (3.13.0-20.33) trusty; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1402951
  * [Config] Disable SUSPEND and HOTPLUG_CPU
    - LP: #1401018
  * Rebase to Ubuntu-3.13.0-44.73

  [ Ubuntu: 3.13.0-44.73 ]

  * Release Tracking Bug
    - LP: #1402872
  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010
  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS
  * iwlwifi: mvm: fix merge damage
    - LP: #1393317
  * iwlwifi: remove IWL_UCODE_TLV_FLAGS_SCHED_SCAN flag
    - LP: #1393317
  * iwlwifi: mvm: disable scheduled scan to prevent firmware crash
    - LP: #1393317
  * iwlwifi: mvm: enable scheduled scan on newest firmware
    - LP: #1393317
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * phylib: introduce PHY_INTERFACE_MODE_XGMII for 10G PHY
    - LP: #1381084
  * of: make of_get_phy_mode parse 'phy-connection-type'
    - LP: #1381084
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * drivers:scsi:storvsc: Fix a bug in handling ring buffer failures that
    may result in I/O freeze
    - LP: #1400289
  * arm64: optimized copy_to_user and copy_from_user assembly code
    - LP: #1400349
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * drm/radeon: initialize sadb to NULL in the audio code
    - LP: #1402714
  * powerpc/vphn: NUMA node code expects big-endian
    - LP: #1401150
  * ALSA: usb-audio: Fix device_del() sysfs warnings at disconnect
    - LP: #1402853
  * ALSA: hda - Add mute LED pin quirk for HP 15 touchsmart
    - LP: #1334950, #1402853
  * rcu: Make callers awaken grace-period kthread
    - LP: #1402853
  * rcu: Use rcu_gp_kthread_wake() to wake up grace period kthreads
    - LP: #1402853
  * net: sctp: fix NULL pointer dereference in af->from_addr_param on
    malformed packet
    - LP: #1402853
  * KVM: x86: Don't report guest userspace emulation error to userspace
    - LP: #1402853
  * [media] ttusb-dec: buffer overflow in ioctl
    - LP: #1402853
  * arm64: __clear_user: handle exceptions on strb
    - LP: #1402853
  * ARM: pxa: fix hang on startup with DEBUG_LL
    - LP: #1402853
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1402853
  * acer-wmi: Add Aspire 5741 to video_vendor_dmi_table
    - LP: #1402853
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1402853
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1402853
  * [media] ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1402853
  * powerpc: ...

Changed in linux-keystone (Ubuntu Trusty):
status: In Progress → Fix Released
Chris J Arges (arges) wrote :

Promoted to Updates:
 linux-keystone | 3.13.0-20.33 | trusty-security | source
 linux-keystone | 3.13.0-20.33 | trusty-updates | source
 linux-meta-keystone | 3.13.0.20.18 | trusty-security | source
 linux-meta-keystone | 3.13.0.20.18 | trusty-updates | source

Brad Figg (brad-figg) on 2015-01-12
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers